name: XLR-15-N3L
description: XLR connector, 3-pin, male
datasheet: https://datasheet.lcsc.com/lcsc/2005251832_JINJIA-XLR-15-N3L_C558606.pdf

pinout:
  PINS: 1-3
  SHIELD: G

properties:
  passive: 1-4, G

schematic:
  symbol: connector
  right: PINS
  bottom: SHIELD

housing:
  pattern: custom
  height: 25.35
  bodyLength: 22.3
  bodyWidth: 25.35
  bodyPosition: 0, 8.35
# 11.15 2.8 13.95 
  silkscreen: M -10.8, -11.15, 10.8, -11.15, 10.8, -8.35, -10.8, -8.35, -10.8, -11.15
  
  # XLR pins
  holeDiameter: 1.5
  padDiameter: 2.1
  padPosition: 3.81, 17.78, -3.81, 17.78, 0, 17.78, 0, 12.7

  # mounting hold
  numbers1: G
  holeDiameter1: 1.6
  padDiameter1: 0
  padPosition1: 3.81, 8.89, -3.81, 3.81
